Package opennlp.tools.tokenize

## Class DetokenizationDictionary

- java.lang.Object
- - opennlp.tools.tokenize.DetokenizationDictionary

-     public class DetokenizationDictionary
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DetokenizationDictionary.Operation` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DetokenizationDictionary​(File file)` |
    `DetokenizationDictionary​(InputStream in)` |
    `DetokenizationDictionary​(String[] tokens, DetokenizationDictionary.Operation[] operations)` | Initializes the current instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `serialize​(OutputStream out)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetokenizationDictionary

          public DetokenizationDictionary​(String[] tokens,
                                          DetokenizationDictionary.Operation[] operations)

      Initializes the current instance.
      Parameters:
        `tokens` - an array of tokens that should be detokenized according to an operation
        `operations` - an array of operations which specifies which operation should be used for the provided tokens

    - #### DetokenizationDictionary

          public DetokenizationDictionary​(InputStream in)
                                   throws IOException

      Throws:
        `IOException`

    - #### DetokenizationDictionary

          public DetokenizationDictionary​(File file)
                                   throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### serialize

          public void serialize​(OutputStream out)
                         throws IOException

      Throws:
        `IOException`